package util

import (
	"ulmer-furs.de/pretix-proxy/v2/entities"
)

func CreateSuiterWaitingList(attendiesList *entities.AttendiesList, suiterPerSpotter *int, suiter, spotter, specialAnimal *entities.Role) entities.AttendiesList {
	spotterCount := attendiesList.CountByRole(*spotter)
	suiterCount := spotterCount * *suiterPerSpotter
	var suiterCounter int
	var suiterWatinglist entities.AttendiesList
	var i int
	for i < len(*attendiesList) {
		if *(*attendiesList)[i].Role == *suiter || *(*attendiesList)[i].Role == *specialAnimal {
			suiterCounter++
		}
		if suiterCounter > suiterCount && (*(*attendiesList)[i].Role == *suiter || *(*attendiesList)[i].Role == *specialAnimal) {
			suiterWatinglist = append(suiterWatinglist, (*attendiesList)[i])
			*attendiesList = append((*attendiesList)[:i], (*attendiesList)[i+1:]...)
		} else {
			i++
		}
	}
	return suiterWatinglist
}

func MarkWatingListAttendies(attendiesList *entities.AttendiesList, suiterPerSpotter *int, suiter, spotter, specialAnimal *entities.Role) {
	spotterCount := attendiesList.CountByRole(*spotter)
	suiterCount := spotterCount * *suiterPerSpotter
	var suiterCounter int
	var i int
	for i < len(*attendiesList) {
		if *(*attendiesList)[i].Role == *suiter || *(*attendiesList)[i].Role == *specialAnimal {
			suiterCounter++
		}
		if suiterCounter > suiterCount && (*(*attendiesList)[i].Role == *suiter || *(*attendiesList)[i].Role == *specialAnimal) {
			(*attendiesList)[i].OnWaitingList = true
		}
		i++
	}
}
