package entities

type AttendiesList []Db_Attendies

func (a AttendiesList) CountByRole(role Role) int {
	var count int
	for _, attendie := range a {
		if *attendie.Role == role {
			count++
		}
	}
	return count
}

func (a AttendiesList) CountWaitingList() int {
	var count int
	for _, attendie := range a {
		if attendie.OnWaitingList {
			count++
		}
	}
	return count
}
