package entities

import "gorm.io/gorm"

type User struct {
	gorm.Model
	Email          string `gorm:"column:email;not null;unique" validate:"required"`
	Password       string `gorm:"-" validate:"required"`
	HashedPassword []byte `gorm:"column:hashed_password;not null"`
}
