package seeder

import (
	"gorm.io/gorm"
	"ulmer-furs.de/pretix-proxy/v2/entities"
)

func Roles() []entities.Seed {
	return []entities.Seed{
		{
			Name: "CreateGuestRole",
			Run: func(db *gorm.DB) error {
				return CreateRole(db, "Guest")
			},
		},
		{
			Name: "CreatePhotographRole",
			Run: func(db *gorm.DB) error {
				return CreateRole(db, "Photograph")
			},
		},
		{
			Name: "CreateSpotterRole",
			Run: func(db *gorm.DB) error {
				return CreateRole(db, "Spotter")
			},
		},
		{
			Name: "CreateSuiterRole",
			Run: func(db *gorm.DB) error {
				return CreateRole(db, "Suiter")
			},
		},
		{
			Name: "CreateSpecialAnimalRole",
			Run: func(db *gorm.DB) error {
				return CreateRole(db, "SpecialAnimal")
			},
		},
	}
}
